TechDraw "Добавить вершины по центрам граней"

From FreeCAD Documentation
Revision as of 17:32, 11 September 2021 by Evgeniy (talk | contribs) (Created page with "==Программирование==")
Other languages:

TechDraw Midpoints

Menu location
TechDraw → Add Vertices → Add Midpoints Vertices
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw Cosmetic Vertex, TechDraw Quadrant Vertices

Описание

The Midpoints tool adds Cosmetic Vertices at the midpoints of one or more Edges.

Cosmetic Vertices at midpoints of Edges

Применение

  1. Select one or more Edges in a View.
  2. Press the Add Midpoint Vertices button
  3. Cosmetic Vertices will be added at the mid-point(s) of the Edge(s).

To delete a Midpoint, select it and use the toolbar button Remove Cosmetic Object.

Свойства

Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

Cosmetic Vertices are not accessible from macros or the Python console at this time. This snippet will remove all Cosmetic Vertices from the View.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()